summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2025-05-03 18:30:37 +0100
committerLeah Rowe <leah@libreboot.org>2025-05-03 18:30:37 +0100
commitaa4083443b14335c8ada088034434b584aacc789 (patch)
tree28dc047bfb6d07c0d9d0e3b79772ac3c146cddad
parent8f828e6cd35d82b0a0fa20b202d49ab092161fa3 (diff)
mk: Allow use of x_ on prefix functions
Use this for the sha512sum command, on the main mk script at the function check_project_hashes(). Signed-off-by: Leah Rowe <leah@libreboot.org>
-rw-r--r--include/lib.sh2
-rwxr-xr-xmk2
2 files changed, 2 insertions, 2 deletions
diff --git a/include/lib.sh b/include/lib.sh
index d58716c3..50813352 100644
--- a/include/lib.sh
+++ b/include/lib.sh
@@ -146,7 +146,7 @@ find_ex()
$errx find "$@" 2>/dev/null | sort > "$fd" || \
$err "!find $(echo "$@") > \"$fd\""
while read -r fx; do
- "$xx" "$fx" || break; :
+ $xx "$fx" || break; :
done < "$fd"
x_ rm -f "$fd"
}
diff --git a/mk b/mk
index 2020115b..28a4cb0c 100755
--- a/mk
+++ b/mk
@@ -277,7 +277,7 @@ check_project_hashes()
[ ! -f "$XBMK_CACHE/hash/$project$tree" ] || \
read -r old_pjhash < "$XBMK_CACHE/hash/$project$tree"
- fx_ sha512sum "$datadir" "$configdir/$tree" "$mdir" \
+ fx_ "x_ sha512sum" "$datadir" "$configdir/$tree" "$mdir" \
-type f -not -path "*/.git*/*" | awk '{print $1}' > \
"$xbmktmp/project.hash" || $err "!h $project $tree"